package com.bigflix.BigFlixMovies;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import android.view.Window;
import android.widget.Button;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.Toast;

import com.app.pokktsdk.PokktManager;
import com.app.pokktsdk.delegates.BannerDelegate;
import com.pokkt.videodemo.R;

public class BannerActivity extends Activity implements BannerDelegate{

    private final String TAG = "BannerActivity";
    private FrameLayout bannerContainerTop;
    private FrameLayout bannerContainerBottom;
    private EditText editTxtScreenName;
    private String screenName1;
    private String screenName2;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        super.onCreate(savedInstanceState);
        setContentView(R.layout.banner);

        //pokkt
        bannerContainerBottom = (FrameLayout) findViewById(R.id.ad_container_bottom);
        bannerContainerTop = (FrameLayout) findViewById(R.id.ad_container_top);
        editTxtScreenName = (EditText) findViewById(R.id.editScreenName);

        Button banner1 = (Button) findViewById(R.id.banner1);
        banner1.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (TextUtils.isEmpty(editTxtScreenName.getText())) {
                    Toast.makeText(BannerActivity.this, "Please Enter Screen Name for Banner1", Toast.LENGTH_LONG).show();
                    return;
                }
                screenName1 = editTxtScreenName.getText().toString();
                PokktManager.loadBanner(BannerActivity.this, screenName1, bannerContainerTop);
            }
        });

        Button banner2 = (Button) findViewById(R.id.banner2);
        banner2.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (TextUtils.isEmpty(editTxtScreenName.getText())) {
                    Toast.makeText(BannerActivity.this, "Please Enter Screen Name for Banner2", Toast.LENGTH_LONG).show();
                    return;
                }
                screenName2 = editTxtScreenName.getText().toString();
                PokktManager.loadBanner(BannerActivity.this, screenName2, bannerContainerBottom);
            }
        });

        Button nextScreen = (Button) findViewById(R.id.next_screen);
        nextScreen.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (TextUtils.isEmpty(editTxtScreenName.getText())) {
                    Toast.makeText(BannerActivity.this, "Please Enter Screen Name for Banner2", Toast.LENGTH_LONG).show();
                    return;
                }
                Intent intent = new Intent(BannerActivity.this, NextBannerScreen.class);
                intent.putExtra("screenName", editTxtScreenName.getText().toString());
                startActivity(intent);
            }
        });

        PokktManager.setBannerDelegate(this);
    }

    @Override
    protected void onDestroy() {
        if(bannerContainerBottom != null) {
            PokktManager.destroyBanner(bannerContainerBottom);
            bannerContainerBottom = null;
        }
        if(bannerContainerTop != null) {
            PokktManager.destroyBanner(bannerContainerTop);
            bannerContainerTop = null;
        }
        super.onDestroy();
    }

    @Override
    protected void onResume() {
        super.onResume();
        PokktManager.onResumeBanner(this, screenName1);
        PokktManager.onResumeBanner(this, screenName2);
        //PokktManager.setBannerAutoRefresh(false); //disable auto refresh
    }

    @Override
    public void onBannerLoaded(String screenName) {
        Toast.makeText(BannerActivity.this, "Banner Loaded for screen name: " + screenName, Toast.LENGTH_SHORT).show();
        Log.d(TAG, "onBannerLoaded: " + screenName);
    }

    @Override
    public void onBannerLoadFailed(String screenName, String errorMsg) {
        Toast.makeText(BannerActivity.this, errorMsg, Toast.LENGTH_SHORT).show();
        Log.d(TAG, "onBannerLoadFailed: " + errorMsg);
    }

}
