package com.bigflix.BigFlixMovies;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.Window;
import android.widget.Button;
import android.widget.FrameLayout;
import android.widget.Toast;

import com.app.pokktsdk.PokktManager;
import com.app.pokktsdk.delegates.BannerDelegate;
import com.pokkt.videodemo.R;

public class NextBannerScreen extends Activity implements BannerDelegate{

    private static final String TAG = "NextBannerScreen";
    private FrameLayout bannerContainer;
    private Button showBanner;
    private String screenName;

    public NextBannerScreen() {
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        super.onCreate(savedInstanceState);
        setContentView(R.layout.next_banner);

        bannerContainer = (FrameLayout)findViewById(R.id.ad_container);
        screenName = getIntent().getStringExtra("screenName");

        showBanner = (Button) findViewById(R.id.show_banner_ad);
        showBanner.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                PokktManager.setBannerDelegate(NextBannerScreen.this);
                PokktManager.loadBanner(NextBannerScreen.this, screenName, bannerContainer);
            }
        });
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        PokktManager.destroyBanner(bannerContainer);
    }

    @Override
    public void onBannerLoaded(String screenName) {
        Toast.makeText(NextBannerScreen.this, "Banner Loaded for screen name: " + screenName, Toast.LENGTH_SHORT).show();
        Log.d(TAG, "onBannerLoaded: " + screenName);
    }

    @Override
    public void onBannerLoadFailed(String screenName, String errorMsg) {
        Toast.makeText(NextBannerScreen.this, errorMsg + " for Screen name: " + screenName, Toast.LENGTH_SHORT).show();
        Log.d(TAG, "onBannerLoadFailed: " + errorMsg);
    }

    @Override
    protected void onResume() {
        super.onResume();
        PokktManager.onResumeBanner(this, screenName);
    }
}
